//
//  AMAuthor.h
//  UOCAlgorithms
//
//  Created by Albert Mata on 25/12/11.
//  Copyright (c) 2011 Nem-hi Consulting. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@interface AMAuthor : NSManagedObject {
@private
}
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * url;
@property (nonatomic, retain) NSString * twitter;
@property (nonatomic, retain) NSSet *contents;
@end

@interface AMAuthor (CoreDataGeneratedAccessors)

- (void)addContentsObject:(NSManagedObject *)value;
- (void)removeContentsObject:(NSManagedObject *)value;
- (void)addContents:(NSSet *)values;
- (void)removeContents:(NSSet *)values;

@end
