//
//  AMContent.h
//  UOCAlgorithms
//
//  Created by Albert Mata on 25/12/11.
//  Copyright (c) 2011 Nem-hi Consulting. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class AMArea, AMAuthor, AMCategory;

@interface AMContent : NSManagedObject {
@private
}
@property (nonatomic, retain) NSString * title;
@property (nonatomic, retain) NSString * short_description;
@property (nonatomic, retain) NSDate * publication_date;
@property (nonatomic, retain) NSNumber * times_shown;
@property (nonatomic, retain) NSString * language;
@property (nonatomic, retain) NSString * content;
@property (nonatomic, retain) AMArea *area;
@property (nonatomic, retain) AMCategory *category;
@property (nonatomic, retain) NSSet *authors;
@end

@interface AMContent (CoreDataGeneratedAccessors)

- (void)addAuthorsObject:(AMAuthor *)value;
- (void)removeAuthorsObject:(AMAuthor *)value;
- (void)addAuthors:(NSSet *)values;
- (void)removeAuthors:(NSSet *)values;

@end
