//
//  DetailViewController.h
//  UOCAlgorithms
//
//  Created by Albert Mata on 25/12/11.
//  Copyright 2011 Nem-hi Consulting. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>
#import <MessageUI/MFMailComposeViewController.h>

@class RootViewController;

@interface DetailViewController : UIViewController 
    <UIPopoverControllerDelegate, UISplitViewControllerDelegate, UIActionSheetDelegate, 
    MFMailComposeViewControllerDelegate>
{
    UIBarButtonItem *actionsButton;
    NSString *htmlCode;
    UIDeviceOrientation deviceOrientation;
}

@property (nonatomic, retain) IBOutlet UIToolbar *toolbar;
@property (nonatomic, retain) IBOutlet UIActivityIndicatorView *activity;
@property (nonatomic, retain) IBOutlet UIWebView *webView;
@property (nonatomic, retain) IBOutlet UIImageView *imageView;
@property (nonatomic, assign) IBOutlet RootViewController *rootViewController;

@property (nonatomic, retain) NSManagedObject *detailItem;

@end
