//
//  RootViewController.h
//  UOCAlgorithms
//
//  Created by Albert Mata on 25/12/11.
//  Copyright 2011 Nem-hi Consulting. All rights reserved.
//

#import <UIKit/UIKit.h>
@class DetailViewController;
#import <CoreData/CoreData.h>
#import "AMTableViewCell.h"
#import <QuartzCore/QuartzCore.h>

@interface RootViewController : UITableViewController 
    <NSFetchedResultsControllerDelegate, UITableViewDataSource, UITableViewDelegate, 
    UISearchBarDelegate, UISearchDisplayDelegate>
{
    NSArray	*filteredListContent;
    BOOL searchIsActive;
    NSString *selectedContentTitleInSearch;
}

@property (nonatomic, retain) IBOutlet DetailViewController *detailViewController;

@property (nonatomic, retain) NSFetchedResultsController *fetchedResultsController;
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;

@property (nonatomic, retain) NSArray *filteredListContent;
@property (nonatomic, retain) NSString *selectedContentTitleInSearch;
@property (nonatomic) BOOL searchIsActive;

-(void)unselectAnyCell;

@end
